Area

Use the Area sparkline to have a better visualization of the trend of values over time.

You can create an Area sparkline using the AreaSparkline function in a formula: =AREASPARKLINE(points, min?, max?, line1?, line2?, colorPositive?, colorNegative?). The function has the following parameters: points: It is a range, such as "D1:D6". If a cell value is not a valid number, it will be treated as 0. min: (optional) A number that represents the minimum value of the sparkline. The default value is the minimum value in the range. max: (optional) A number that represents the maximum value of the sparkline. The default value is the maximum value in the range. line1: (optional) A number that represents a horizontal line's vertical position; the line does not exist by default. line2: (optional) A number that represents another horizontal line's vertical position; the line does not exist by default. colorPositive: (optional) A string that represents the color of the area in which the value is positive; default value is "#787878". colorNegative: (optional) A string that represents the color of the area in which the value is negative; default value is "#CB0000".
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function initSpread(spread) { var spreadNS = GC.Spread.Sheets; var sheet = spread.sheets[0]; sheet.suspendPaint(); sheet.addSpan(0, 0, 1, 5); sheet.getCell(0, 0).value("Revenue by State").font("17px Arial").vAlign(spreadNS.VerticalAlign.center); var table1 = sheet.tables.add("table1", 1, 0, 6, 5, spreadNS.Tables.TableThemes.light1); table1.rowFilter().filterButtonVisible(false); sheet.setArray(1, 0, [ ["State",2018, 2019, 2020,"Diagram"], ["Idaho",10000, -9000, 15000], ["Montana",1000, 9000, ], ["Oregon",10000, 7000, 0], ["Washington",1000, 10000, 5000], ["Utah",-5000, 5000, 12000]]); sheet.getRange(2, 1,5,3).formatter("$#,##0"); sheet.setFormula(2, 4, '=AREASPARKLINE(B3:D3,,,0,10000,"#82bc00","#f7a711")'); sheet.setFormula(3, 4, '=AREASPARKLINE(B4:D4,,,0,10000,"#82bc00","#f7a711")'); sheet.setFormula(4, 4, '=AREASPARKLINE(B5:D5,,,0,10000,"#82bc00","#f7a711")'); sheet.setFormula(5, 4, '=AREASPARKLINE(B6:D6,,,0,10000,"#82bc00","#f7a711")'); sheet.setFormula(6, 4, '=AREASPARKLINE(B7:D7,,,0,10000,"#82bc00","#f7a711")'); sheet.setRowHeight(0, 50); sheet.setRowHeight(1, 25); for (var i = 2; i < 7; i++) { sheet.setRowHeight(i, 35); } sheet.setColumnWidth(0, 100); sheet.setColumnWidth(1, 70); sheet.setColumnWidth(2, 70); sheet.setColumnWidth(3, 70); sheet.setColumnWidth(4, 200); sheet.resumePaint(); };
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%;height:100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

You can create an Area sparkline using the AreaSparkline function in a formula: =AREASPARKLINE(points, min?, max?, line1?, line2?, colorPositive?, colorNegative?).
The function has the following parameters:
points: It is a range, such as "D1:D6". If a cell value is not a valid number, it will be treated as 0.
min: (optional) A number that represents the minimum value of the sparkline. The default value is the minimum value in the range.
max: (optional) A number that represents the maximum value of the sparkline. The default value is the maximum value in the range.
line1: (optional) A number that represents a horizontal line's vertical position; the line does not exist by default.
line2: (optional) A number that represents another horizontal line's vertical position; the line does not exist by default.
colorPositive: (optional) A string that represents the color of the area in which the value is positive; default value is "#787878".
colorNegative: (optional) A string that represents the color of the area in which the value is negative; default value is "#CB0000".
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let spreadNS = GC.Spread.Sheets;
let sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.addSpan(0, 0, 1, 5);
sheet.getCell(0, 0).value("Revenue by State").font("17px Arial").vAlign(spreadNS.VerticalAlign.center);
var table1 = sheet.tables.add("table1", 1, 0, 6, 5, spreadNS.Tables.TableThemes.light1);
table1.rowFilter().filterButtonVisible(false);
sheet.setArray(1, 0, [
["State",2018, 2019, 2020,"Diagram"],
["Idaho",10000, -9000, 15000],
["Montana",1000, 9000, ],
["Oregon",10000, 7000, 0],
["Washington",1000, 10000, 5000],
["Utah",-5000, 5000, 12000]]);
sheet.getRange(2, 1,5,3).formatter("$#,##0");
sheet.setFormula(2, 4, '=AREASPARKLINE(B3:D3,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(3, 4, '=AREASPARKLINE(B4:D4,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(4, 4, '=AREASPARKLINE(B5:D5,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(5, 4, '=AREASPARKLINE(B6:D6,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(6, 4, '=AREASPARKLINE(B7:D7,,,0,10000,"#82bc00","#f7a711")');
sheet.setRowHeight(0, 50);
sheet.setRowHeight(1, 25);
for (var i = 2; i < 7; i++) {
sheet.setRowHeight(i, 35);
}
sheet.setColumnWidth(0, 100);
sheet.setColumnWidth(1, 70);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 200);
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can create an Area sparkline using the AreaSparkline function in a formula: =AREASPARKLINE(points, min?, max?, line1?, line2?, colorPositive?, colorNegative?).
The function has the following parameters:
points: It is a range, such as "D1:D6". If a cell value is not a valid number, it will be treated as 0.
min: (optional) A number that represents the minimum value of the sparkline. The default value is the minimum value in the range.
max: (optional) A number that represents the maximum value of the sparkline. The default value is the maximum value in the range.
line1: (optional) A number that represents a horizontal line's vertical position; the line does not exist by default.
line2: (optional) A number that represents another horizontal line's vertical position; the line does not exist by default.
colorPositive: (optional) A string that represents the color of the area in which the value is positive; default value is "#787878".
colorNegative: (optional) A string that represents the color of the area in which the value is negative; default value is "#CB0000".
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
export function AppFunc() {
let spread = null;
const initSpread = (currSpread) => {
spread = currSpread;
let spreadNS = GC.Spread.Sheets;
let sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.addSpan(0, 0, 1, 5);
sheet.getCell(0, 0).value("Revenue by State").font("17px Arial").vAlign(spreadNS.VerticalAlign.center);
var table1 = sheet.tables.add("table1", 1, 0, 6, 5, spreadNS.Tables.TableThemes.light1);
table1.rowFilter().filterButtonVisible(false);
sheet.setArray(1, 0, [
["State",2018, 2019, 2020,"Diagram"],
["Idaho",10000, -9000, 15000],
["Montana",1000, 9000, ],
["Oregon",10000, 7000, 0],
["Washington",1000, 10000, 5000],
["Utah",-5000, 5000, 12000]]);
sheet.getRange(2, 1,5,3).formatter("$#,##0");
sheet.setFormula(2, 4, '=AREASPARKLINE(B3:D3,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(3, 4, '=AREASPARKLINE(B4:D4,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(4, 4, '=AREASPARKLINE(B5:D5,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(5, 4, '=AREASPARKLINE(B6:D6,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(6, 4, '=AREASPARKLINE(B7:D7,,,0,10000,"#82bc00","#f7a711")');
sheet.setRowHeight(0, 50);
sheet.setRowHeight(1, 25);
for (var i = 2; i < 7; i++) {
sheet.setRowHeight(i, 35);
}
sheet.setColumnWidth(0, 100);
sheet.setColumnWidth(1, 70);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 200);
sheet.resumePaint();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>initSpread(spread)}>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initSpread(spread) {
this.spread = spread;
let spreadNS = GC.Spread.Sheets;
let sheet = spread.sheets[0];
sheet.suspendPaint();
sheet.addSpan(0, 0, 1, 5);
sheet.getCell(0, 0).value("Revenue by State").font("17px Arial").vAlign(spreadNS.VerticalAlign.center);
var table1 = sheet.tables.add("table1", 1, 0, 6, 5, spreadNS.Tables.TableThemes.light1);
table1.rowFilter().filterButtonVisible(false);
sheet.setArray(1, 0, [
["State",2018, 2019, 2020,"Diagram"],
["Idaho",10000, -9000, 15000],
["Montana",1000, 9000, ],
["Oregon",10000, 7000, 0],
["Washington",1000, 10000, 5000],
["Utah",-5000, 5000, 12000]]);
sheet.getRange(2, 1,5,3).formatter("$#,##0");
sheet.setFormula(2, 4, '=AREASPARKLINE(B3:D3,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(3, 4, '=AREASPARKLINE(B4:D4,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(4, 4, '=AREASPARKLINE(B5:D5,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(5, 4, '=AREASPARKLINE(B6:D6,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(6, 4, '=AREASPARKLINE(B7:D7,,,0,10000,"#82bc00","#f7a711")');
sheet.setRowHeight(0, 50);
sheet.setRowHeight(1, 25);
for (var i = 2; i < 7; i++) {
sheet.setRowHeight(i, 35);
}
sheet.setColumnWidth(0, 100);
sheet.setColumnWidth(1, 70);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 200);
sheet.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can create an Area sparkline using the AreaSparkline function in a formula: =AREASPARKLINE(points, min?, max?, line1?, line2?, colorPositive?, colorNegative?).
The function has the following parameters:
points: It is a range, such as "D1:D6". If a cell value is not a valid number, it will be treated as 0.
min: (optional) A number that represents the minimum value of the sparkline. The default value is the minimum value in the range.
max: (optional) A number that represents the maximum value of the sparkline. The default value is the maximum value in the range.
line1: (optional) A number that represents a horizontal line's vertical position; the line does not exist by default.
line2: (optional) A number that represents another horizontal line's vertical position; the line does not exist by default.
colorPositive: (optional) A string that represents the color of the area in which the value is positive; default value is "#787878".
colorNegative: (optional) A string that represents the color of the area in which the value is negative; default value is "#CB0000".
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet> </gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-vue'
const spreadRef = ref(null);
let initSpread = function (spread) {
spreadRef.value = spread;
let sheet = spreadRef.value.getActiveSheet();
let spreadNS = GC.Spread.Sheets;
sheet.suspendPaint();
sheet.addSpan(0, 0, 1, 5);
sheet.getCell(0, 0).value("Revenue by State").font("17px Arial").vAlign(spreadNS.VerticalAlign.center);
var table1 = sheet.tables.add("table1", 1, 0, 6, 5, spreadNS.Tables.TableThemes.light1);
table1.rowFilter().filterButtonVisible(false);
sheet.setArray(1, 0, [
["State", 2018, 2019, 2020, "Diagram"],
["Idaho", 10000, -9000, 15000],
["Montana", 1000, 9000,],
["Oregon", 10000, 7000, 0],
["Washington", 1000, 10000, 5000],
["Utah", -5000, 5000, 12000]]);
sheet.getRange(2, 1, 5, 3).formatter("$#,##0");
sheet.setFormula(2, 4, '=AREASPARKLINE(B3:D3,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(3, 4, '=AREASPARKLINE(B4:D4,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(4, 4, '=AREASPARKLINE(B5:D5,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(5, 4, '=AREASPARKLINE(B6:D6,,,0,10000,"#82bc00","#f7a711")');
sheet.setFormula(6, 4, '=AREASPARKLINE(B7:D7,,,0,10000,"#82bc00","#f7a711")');
sheet.setRowHeight(0, 50);
sheet.setRowHeight(1, 25);
for (var i = 2; i < 7; i++) {
sheet.setRowHeight(i, 35);
}
sheet.setColumnWidth(0, 100);
sheet.setColumnWidth(1, 70);
sheet.setColumnWidth(2, 70);
sheet.setColumnWidth(3, 70);
sheet.setColumnWidth(4, 200);
sheet.resumePaint();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);